### Class

# Qrtr Bus

since: 1.0

#### Description [src]

    class Qrtr.Bus : GObject.Object
      implements Gio.AsyncInitable {
      /* No available fields */
    }

The `QrtrBus` structure contains private data and should only be accessed using the provided API.

Available since: 1.0

#### Ancestors

- GObject

#### Implements

- GAsyncInitable

#### Constructors

###### qrtr_bus_new_finish

Finishes an operation started with qrtr_bus_new().

since: 1.0

#### Functions

###### qrtr_bus_new

Asynchronously creates a `QrtrBus` object.

since: 1.0

#### Instance methods

###### qrtr_bus_get_node

Get the `QrtrNode` with node ID `node_id`.

since: 1.0

###### qrtr_bus_get_nodes

Gets a list of all the `QrtrNode` objects in the bus.

since: 1.0

###### qrtr_bus_peek_node

Get the `QrtrNode` with node ID `node_id`, without increasing the reference count on the returned object.

since: 1.0

###### qrtr_bus_peek_nodes

Gets a list of all the `QrtrNode` objects in the bus, without increasing the reference count on the returned object or the list.

since: 1.0

###### qrtr_bus_wait_for_node

Asynchronously waits for the node with ID `node_id`.

since: 1.0

###### qrtr_bus_wait_for_node_finish

Finishes an operation started with qrtr_bus_wait_for_node().

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GAsyncInitable (3)

###### g_async_initable_init_async

Starts asynchronous initialization of the object implementing the interface. This must be done before any real use of the object after initial construction. If the object also implements `GInitable` you can optionally call `g_initable_init()` instead.

###### g_async_initable_init_finish

Finishes asynchronous initialization and returns the result. See g_async_initable_init_async().

###### g_async_initable_new_finish

Finishes the async construction for the various g_async_initable_new calls, returning the created object or `NULL` on error.

#### Properties

###### Qrtr.Bus:lookup-timeout

No description available.

since: 1.0

#### Signals

###### Qrtr.Bus::node-added

The ::node-added signal is emitted when a new node registers a service on the QRTR bus.

since: 1.0

###### Qrtr.Bus::node-removed

The ::node-removed signal is emitted when a node deregisters all services from the QRTR bus.

since: 1.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct QrtrBusClass {
      GObjectClass parent;

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.